<mat-nav-list class="nav-list">
  <a mat-list-item routerLink="/welcome" routerLinkActive="active" (click)="closeMenu.emit()">
    <mat-icon matListIcon>home</mat-icon>
    Home
  </a>
  <mat-divider></mat-divider>
  <div class="box">
    <h3 mat-subheader>My favorite heroes</h3>
    <span class="spacer"></span>
    <mat-spinner [class.show]="isLoadingFavorite" [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
  <app-favorite-top-five [heroes]="topFiveHeroes"
                         [loggedIn]="loggedIn"
                         (click)="closeMenu.emit()">
  </app-favorite-top-five>
  <mat-divider></mat-divider>
  <a mat-list-item routerLink="/heroes/search" routerLinkActive="active" (click)="closeMenu.emit()">
    <mat-icon matListIcon>search</mat-icon>
    Find my heroes
  </a>
</mat-nav-list>
